Package org.drinkless.tdlib

# Class TdApi.SetPassportElement

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PassportElement>
org.drinkless.tdlib.TdApi.SetPassportElement

Enclosing class:
  `TdApi`

public static class TdApi.SetPassportElement extends TdApi.Function<TdApi.PassportElement>
Adds an element to the user's Telegram Passport. May return an error with a message "PHONE_VERIFICATION_NEEDED" or "EMAIL_VERIFICATION_NEEDED" if the chosen phone number or the chosen email address must be verified first.

Returns `PassportElement`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputPassportElement`
  `element`
  Input Telegram Passport element.
  `String`
  `password`
  The 2-step verification password of the current user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetPassportElement()`
  Default constructor for a function, which adds an element to the user's Telegram Passport.
  `SetPassportElement(TdApi.InputPassportElement element, String password)`
  Creates a function, which adds an element to the user's Telegram Passport.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### element

    public TdApi.InputPassportElement element
    Input Telegram Passport element.

  - ### password

    public String password
    The 2-step verification password of the current user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetPassportElement

    public SetPassportElement()
    Default constructor for a function, which adds an element to the user's Telegram Passport. May return an error with a message "PHONE_VERIFICATION_NEEDED" or "EMAIL_VERIFICATION_NEEDED" if the chosen phone number or the chosen email address must be verified first.

    Returns `PassportElement`

  - ### SetPassportElement

    public SetPassportElement(TdApi.InputPassportElement element, String password)
    Creates a function, which adds an element to the user's Telegram Passport. May return an error with a message "PHONE_VERIFICATION_NEEDED" or "EMAIL_VERIFICATION_NEEDED" if the chosen phone number or the chosen email address must be verified first.

    Returns `PassportElement`

    Parameters:
      `element` - Input Telegram Passport element.
      `password` - The 2-step verification password of the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PassportElement>`
    Returns:
      this.CONSTRUCTOR